List paginated documents

List paginated documents. See the OpenAPI-defined parameters, request body, and responses below.

GET /Document/paged

List paginated documents. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna documentos paginados conforme o filtro informado.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
TitlequerystringNo——
CreatedAtStartquerystring · date-timeNo——
CreatedAtEndquerystring · date-timeNo——
TenantIdqueryinteger · int32No——
Pagequeryinteger · int32No——
PageSizequeryinteger · int32No——
PrivatequerybooleanNo——
CreatedByUserIdqueryinteger · int32No——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Document/paged?Title={Title}&CreatedAtStart={CreatedAtStart}&CreatedAtEnd={CreatedAtEnd}&TenantId={TenantId}&Page={Page}&PageSize={PageSize}&Private={Private}&CreatedByUserId={CreatedByUserId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200OKapplication/json · DocumentCreateResponseDtoPagedResultDto

Example response (200):

{
  "items": [
    {
      "id": 0,
      "title": "string",
      "description": "string",
      "extractedText": "string",
      "analysisText": "string",
      "fileUrl": "string",
      "documentStatusId": 0,
      "documentType": 0,
      "createdAt": "2026-09-22T18:00:00Z",
      "analizedAt": "2026-09-22T18:00:00Z",
      "documentChecklistId": 0,
      "private": true
    }
  ],
  "totalCount": 0
}

Data models

DocumentCreateResponseDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
extractedTextstringNo—nullable
analysisTextstringNo—nullable
fileUrlstringNo—nullable
documentStatusIdinteger · int32No——
documentTypeDocumentTypeNo——
createdAtstring · date-timeNo—nullable
analizedAtstring · date-timeNo—nullable
documentChecklistIdinteger · int32No——
privatebooleanNo——
DocumentCreateResponseDtoPagedResultDto
PropertyTypeRequiredDescriptionConstraints
itemsarray<DocumentCreateResponseDto>No—nullable
totalCountinteger · int32No——
DocumentType

0 = Image; 1 = Word; 2 = PDF; 3 = Text

integer